plugins {
    kotlin("jvm") version "1.3.61"
    application
    kotlin("kapt") version "1.3.61"
    id("com.github.johnrengelman.shadow") version "5.2.0"
}

group = "dev.acicchetti"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
    jcenter()
    maven {
        url = uri("https://dl.bintray.com/arrow-kt/arrow-kt/")
    }
}

val arrowVersion = "0.10.3"
dependencies {
    implementation(kotlin("stdlib-jdk8"))

    implementation("com.github.ajalt:clikt:2.3.0")

    implementation("io.arrow-kt:arrow-core:$arrowVersion")
    implementation("io.arrow-kt:arrow-syntax:$arrowVersion")
    implementation("io.arrow-kt:arrow-optics:$arrowVersion")
    kapt("io.arrow-kt:arrow-meta:$arrowVersion")
}

application {
    mainClassName = "CliParserKt"
}

tasks {
    compileKotlin {
        kotlinOptions.jvmTarget = "1.8"
    }
    compileTestKotlin {
        kotlinOptions.jvmTarget = "1.8"
    }
}